## net.dontdrinkandroot.lastfm.api.cache
Interface Cache

All Known Implementing Classes:
  DiskCache, MemoryCache

    public interface Cache

Method Summary

`

`<T extends java.io.Serializable> T`

`

`get(java.lang.String id)`

`

`<T extends java.io.Serializable> T`

`

`put(java.lang.String id, T data, long timeToLive)`

Method Detail

### get

    <T extends java.io.Serializable> T get(java.lang.String id)

### put

    <T extends java.io.Serializable> T put(java.lang.String id,
                                           T data,
                                           long timeToLive)

Copyright © 2012. All Rights Reserved.